<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'transport_solutions_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'transport-solutions' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'transport-solutions' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
		'partial_refresh'    => [
		'transport_solutions_display_header_title' => [
			'selector'        => '.logo a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'transport-solutions' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
		'partial_refresh'    => [
		'transport_solutions_display_header_text' => [
			'selector'        => '.logo-content span',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'transport_solutions_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'transport-solutions' ),
	) );

	Kirki::add_section( 'transport_solutions_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'transport-solutions' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_all_headings_typography',
		'section'     => 'transport_solutions_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'transport_solutions_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'transport-solutions' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'transport-solutions' ),
		'section'     => 'transport_solutions_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_body_content_typography',
		'section'     => 'transport_solutions_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'transport_solutions_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'transport-solutions' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'transport-solutions' ),
		'section'     => 'transport_solutions_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'transport_solutions_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'transport-solutions' ),
	) );

	// Additional Settings

	Kirki::add_section( 'transport_solutions_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'transport-solutions' ),
	    'description'    => esc_html__( 'Scroll To Top', 'transport-solutions' ),
	    'panel'          => 'transport_solutions_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'transport_solutions_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'transport-solutions' ),
		'section'     => 'transport_solutions_additional_settings',
		'default'     => '1',
		'priority'    => 10,
		'partial_refresh'    => [
		'transport_solutions_scroll_enable_setting' => [
			'selector'        => '.scroll-up a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'transport_solutions_scroll_top_position',
		'label'       => esc_html__( 'Alignment for Scroll To Top', 'transport-solutions' ),
		'section'     => 'transport_solutions_additional_settings',
		'default'     => 'Right',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'transport-solutions' ),
			'Center' => esc_html__( 'Center', 'transport-solutions' ),
			'Right'  => esc_html__( 'Right', 'transport-solutions' ),
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_transport_solutions',
		'label'       => esc_html__( 'Menus Text Transform', 'transport-solutions' ),
		'section'     => 'transport_solutions_additional_settings',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'transport-solutions' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'transport-solutions' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'transport-solutions' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'transport-solutions' ),
		'section'     => 'transport_solutions_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'None' => __('None','transport-solutions'),
            'Zoominn' => __('Zoom Inn','transport-solutions'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'transport_solutions_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'transport-solutions' ),
		'section'     => 'transport_solutions_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'transport_solutions_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'transport-solutions' ),
		'section'     => 'transport_solutions_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'transport-solutions' ),
		'section'     => 'transport_solutions_additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','transport-solutions'),
            'Right Sidebar' => __('Right Sidebar','transport-solutions'),
            'One Column' => __('One Column','transport-solutions')
		],
	] );

	if ( class_exists("woocommerce")){

	// Woocommerce Settings

	Kirki::add_section( 'transport_solutions_woocommerce_settings', array(
			'title'          => esc_html__( 'Woocommerce Settings', 'transport-solutions' ),
			'description'    => esc_html__( 'Shop Page', 'transport-solutions' ),
			'panel'          => 'transport_solutions_panel_id',
			'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'transport_solutions_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'transport-solutions' ),
		'section'     => 'transport_solutions_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'transport_solutions_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'transport-solutions' ),
		'section'     => 'transport_solutions_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'transport_solutions_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'transport-solutions' ),
		'section'     => 'transport_solutions_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
	[
		'settings' => 'transport_solutions_per_columns',
		'label'    => esc_html__( 'Product Per Row', 'transport-solutions' ),
		'section'  => 'transport_solutions_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'transport_solutions_product_per_page',
		'label'    => esc_html__( 'Product Per Page', 'transport-solutions' ),
		'section'  => 'transport_solutions_woocommerce_settings',
		'default'  => 9,
		'choices'  => [
			'min'  => 1,
			'max'  => 15,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'transport-solutions' ),
		'section'  => 'transport_solutions_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'transport-solutions' ),
		'section'  => 'transport_solutions_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'transport-solutions' ),
		'section'     => 'transport_solutions_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','transport-solutions'),
            'Right Sidebar' => __('Right Sidebar','transport-solutions')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'transport-solutions' ),
		'section'     => 'transport_solutions_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','transport-solutions'),
            'Right Sidebar' => __('Right Sidebar','transport-solutions')
		],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'transport_solutions_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'transport-solutions' ),
		'section'     => 'transport_solutions_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'transport-solutions' ),
			'Center' => esc_html__( 'Center', 'transport-solutions' ),
			'Right'  => esc_html__( 'Right', 'transport-solutions' ),
		],
	]
	);

}

	// COLOR SECTION

	Kirki::add_section( 'transport_solutions_section_color', array(
	    'title'          => esc_html__( 'Global Color', 'transport-solutions' ),
	    'description'    => esc_html__( 'Theme Color Settings', 'transport-solutions' ),
	    'panel'          => 'transport_solutions_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_global_colors',
		'section'     => 'transport_solutions_section_color',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Here you can change your theme color on one click.', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'transport_solutions_global_color',
		'label'       => __( 'choose your Appropriate Color', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_color',
		'default'     => '#ff3f3a',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'transport_solutions_global_color_2',
		'label'       => __( 'Choose Your Second Color', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_color',
		'default'     => '#121d21',
	] );


	// POST SECTION

	Kirki::add_section( 'transport_solutions_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'transport-solutions' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'transport-solutions' ),
	    'panel'          => 'transport_solutions_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_enable_post_heading',
		'section'     => 'transport_solutions_section_post',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
		'partial_refresh'    => [
		'transport_solutions_blog_admin_enable' => [
			'selector'        => 'h3.post-title',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'transport_solutions_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','transport-solutions'),
            'Right Sidebar' => __('Right Sidebar','transport-solutions')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','transport-solutions'),
            'Right Sidebar' => __('Right Sidebar','transport-solutions')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','transport-solutions'),
            'Right Sidebar' => __('Right Sidebar','transport-solutions')
		],
	] );

	Kirki::add_field( 'transport_solutions_config', [
		'type'        => 'select',
		'settings'    => 'transport_solutions_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'transport-solutions' ),
				'2' => __( '2 Column', 'transport-solutions' ),
				'3' => __( '3 Column', 'transport-solutions' ),
				'4' => __( '4 Column', 'transport-solutions' ),
			],
	] );

	// HEADER SECTION

	Kirki::add_section( 'transport_solutions_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'transport-solutions' ),
	    'description'    => esc_html__( 'Here you can add different type of social icons.', 'transport-solutions' ),
	    'panel'          => 'transport_solutions_panel_id',
	    'priority'       => 160,
	) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_top_header_heading',
		'section'     => 'transport_solutions_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Top Header Text', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
		'partial_refresh'    => [
		'transport_solutions_top_header_heading' => [
			'selector'        => '.top-header p',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'transport_solutions_top_header_text',
		'section'  => 'transport_solutions_section_header',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_enable_search',
		'section'     => 'transport_solutions_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Search Box', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_search_box_enable',
		'label'       => esc_html__( 'Search Enable / Disable Button', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_header_button_heading',
		'section'     => 'transport_solutions_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Button Text & URL', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'transport_solutions_header_button_text',
		'label'    => __( 'Button Text', 'transport-solutions' ),
		'section'  => 'transport_solutions_section_header',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'link',
		'settings' => 'transport_solutions_header_button_url',
		'label'    => __( 'Button URL', 'transport-solutions' ),
		'section'  => 'transport_solutions_section_header',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_enable_button',
		'section'     => 'transport_solutions_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Button Box', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_button_box_enable',
		'label'       => esc_html__( 'Quote Enable / Disable Button', 'transport-solutions' ),
		'section'     => 'transport_solutions_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_enable_socail_link',
		'section'     => 'transport_solutions_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'transport_solutions_section_header',
		'priority'    => 10,
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'transport-solutions' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'transport-solutions' ),
		'settings'     => 'transport_solutions_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'transport-solutions' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'transport-solutions' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'transport-solutions' ),
				'description' => esc_html__( 'Add the social icon url here.', 'transport-solutions' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
		'partial_refresh'    => [
		'transport_solutions_social_links_settings' => [
			'selector'        => '.social-links a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// CONTACT INFORMATION

	Kirki::add_section( 'transport_solutions_section_contact', array(
	    'title'          => esc_html__( 'Contact Info Settings', 'transport-solutions' ),
	    'description'    => esc_html__( 'Here you can add your personal contact details.', 'transport-solutions' ),
	    'panel'          => 'transport_solutions_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_phone_number_heading_1',
		'section'     => 'transport_solutions_section_contact',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Choose Your Icon', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'transport_solutions_dashicons_setting_1',
		'label'    => esc_html__( 'Select Appropriate Icon', 'transport-solutions' ),
		'section'  => 'transport_solutions_section_contact',
		'default'  => 'dashicons dashicons-phone',
		'priority' => 10,
		'partial_refresh'    => [
		'transport_solutions_dashicons_setting_1' => [
			'selector'        => '#site-navigation span',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_phone_number_heading',
		'section'     => 'transport_solutions_section_contact',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Phone Number', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'transport_solutions_header_phone_number',
		'section'  => 'transport_solutions_section_contact',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_phone_number_heading_2',
		'section'     => 'transport_solutions_section_contact',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Choose Your Icon', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'transport_solutions_dashicons_setting_2',
		'label'    => esc_html__( 'Select Appropriate Icon', 'transport-solutions' ),
		'section'  => 'transport_solutions_section_contact',
		'default'  => 'dashicons dashicons-email',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_email_address_heading',
		'section'     => 'transport_solutions_section_contact',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Email Address', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'transport_solutions_header_email_address',
		'section'  => 'transport_solutions_section_contact',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'transport_solutions_dashicons_setting_3',
		'label'    => esc_html__( 'Select Appropriate Icon', 'transport-solutions' ),
		'section'  => 'transport_solutions_section_contact',
		'default'  => 'dashicons dashicons-clock',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_open_timings_heading',
		'section'     => 'transport_solutions_section_contact',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Timings', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'transport_solutions_header_open_timings',
		'section'  => 'transport_solutions_section_contact',
		'default'  => '',
		'priority' => 10,
	] );

	// SLIDER SECTION

	Kirki::add_section( 'transport_solutions_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'transport-solutions' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'transport-solutions' ),
        'panel'          => 'transport_solutions_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_enable_heading',
		'section'     => 'transport_solutions_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_slide_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_slide_text_unable_disable',
		'label'       => esc_html__( 'Slide Text Enable / Disable', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
		'partial_refresh'    => [
		'transport_solutions_slide_text_unable_disable' => [
			'selector'        => '.blog_box p',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_slider_heading',
		'section'     => 'transport_solutions_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'transport_solutions_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'transport_solutions_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'transport-solutions' ),
		'priority'    => 10,
		'choices'     => transport_solutions_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_slider_text_heading',
		'section'     => 'transport_solutions_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Slider Text', 'transport-solutions' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'transport_solutions_excerpt_number',
		'label'       => esc_html__( 'Slide Content Range', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => 20,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_slider_button_heading',
		'section'     => 'transport_solutions_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider Button Text', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'transport_solutions_slider_button_text',
		'section'  => 'transport_solutions_blog_slide_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'transport_solutions_enable_heading_22',
	'section'     => 'transport_solutions_blog_slide_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Content Alignment', 'transport-solutions' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => 'CENTER-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'transport-solutions' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'transport-solutions' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'transport-solutions' ),
		],
	] );

		new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => '0.6',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'0' => esc_html__( '0', 'transport-solutions' ),
			'0.1' => esc_html__( '0.1', 'transport-solutions' ),
			'0.2' => esc_html__( '0.2', 'transport-solutions' ),
			'0.3' => esc_html__( '0.3', 'transport-solutions' ),
			'0.4' => esc_html__( '0.4', 'transport-solutions' ),
			'0.5' => esc_html__( '0.5', 'transport-solutions' ),
			'0.6' => esc_html__( '0.6', 'transport-solutions' ),
			'0.7' => esc_html__( '0.7', 'transport-solutions' ),
			'0.8' => esc_html__( '0.8', 'transport-solutions' ),
			'0.9' => esc_html__( '0.9', 'transport-solutions' ),
			'1.0' => esc_html__( '1.0', 'transport-solutions' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'transport_solutions_slider_image_overlay_color',
		'label'       => __( 'choose your Appropriate Overlay Color', 'transport-solutions' ),
		'section'     => 'transport_solutions_blog_slide_section',
		'default'     => '',
	] );

	// SERVICES SECTION

	Kirki::add_section( 'transport_solutions_featured_post_section', array(
        'title'          => esc_html__( 'Services Settings', 'transport-solutions' ),
        'description'    => esc_html__( 'You have to select post category to show services.', 'transport-solutions' ),
        'panel'          => 'transport_solutions_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_services_enable_heading',
		'section'     => 'transport_solutions_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Services Section', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'transport_solutions_services_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'transport-solutions' ),
		'section'     => 'transport_solutions_featured_post_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'transport-solutions' ),
			'off' => esc_html__( 'Disable', 'transport-solutions' ),
		],
		'partial_refresh'    => [
		'transport_solutions_services_box_enable' => [
			'selector'        => '.box-content h4',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_post_heading',
		'section'     => 'transport_solutions_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Services', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'transport_solutions_services_number',
		'label'       => esc_html__( 'Number of services to show', 'transport-solutions' ),
		'section'     => 'transport_solutions_featured_post_section',
		'default'     => 5,
		'choices'     => [
			'min'  => 0,
			'max'  => 20,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'transport_solutions_services_category',
		'label'       => esc_html__( 'Select the category to show services', 'transport-solutions' ),
		'section'     => 'transport_solutions_featured_post_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'transport-solutions' ),
		'priority'    => 10,
		'choices'     => transport_solutions_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_service_text_heading',
		'section'     => 'transport_solutions_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Text', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'transport_solutions_service_excerpt_number',
		'label'       => esc_html__( 'Services Content Range', 'transport-solutions' ),
		'section'     => 'transport_solutions_featured_post_section',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_services_button_heading',
		'section'     => 'transport_solutions_featured_post_section',
			'default'   => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Services Button Text', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'transport_solutions_services_button_text',
		'section'  => 'transport_solutions_featured_post_section',
		'default'  => '',
		'priority' => 10,
	] );


	// FOOTER SECTION

	Kirki::add_section( 'transport_solutions_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'transport-solutions' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'transport-solutions' ),
        'panel'          => 'transport_solutions_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'transport_solutions_footer_text_heading',
		'section'     => 'transport_solutions_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'transport-solutions' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'transport_solutions_footer_text',
		'section'  => 'transport_solutions_footer_section',
		'default'  => '',
		'priority' => 10,
		'partial_refresh'    => [
		'transport_solutions_footer_text' => [
			'selector'        => '.copy-text p',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

		Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'transport_solutions_footer_text_heading_2',
	'section'     => 'transport_solutions_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'transport-solutions' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'transport_solutions_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'transport-solutions' ),
		'section'     => 'transport_solutions_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'transport-solutions' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'transport-solutions' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'transport-solutions' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'transport-solutions' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'transport_solutions_footer_text_heading_1',
	'section'     => 'transport_solutions_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'transport-solutions' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'transport_solutions_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'transport-solutions' ),
		'section'     => 'transport_solutions_footer_section',
		'default'     => '',
	] );

}
